## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 20;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-jschema-to-python
Summary:        Generate source code for Python classes from a JSON schema
Version:        1.2.3
Release:        %autorelease

# SPDX
License:        MIT
URL:            https://github.com/microsoft/jschema-to-python
Source:         %{pypi_source jschema_to_python}

BuildSystem:            pyproject
BuildOption(install):   -l jschema_to_python

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  dos2unix
BuildRequires:  python3dist(pytest)

%global common_description %{expand:
%{summary}.}

%description %{common_description}


%package -n     python3-jschema-to-python
Summary:        %{summary}

%description -n python3-jschema-to-python %{common_description}


%prep -a
# Fix CRNL line termination
find . -type f -exec dos2unix --keepdate '{}' '+'


%check -a
%pytest


%files -n python3-jschema-to-python -f %{pyproject_files}
%doc README.rst
%doc SECURITY.md


%changelog
## START: Generated by rpmautospec
* Wed Jun 11 2025 Python Maint <python-maint@redhat.com> - 1.2.3-20
- Rebuilt for Python 3.14

* Mon May 05 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-19
- F41+: Use the provisional pyproject declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.2.3-16
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Dec 18 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-13
- Assert that %%pyproject_files contains a license file

* Wed Sep 27 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-11
- Keep timestamps when converting text file line endings

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Python Maint <python-maint@redhat.com> - 1.2.3-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-6
- Drop default -r argument to pyproject_buildrequires

* Sat Oct 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-5
- Confirm License is SPDX MIT

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 22 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-3
- Rebuilt for Python 3.11 (close RHBZ#2098981)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Dec 15 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.3-1
- Inital package (close RHBZ#2032979)
## END: Generated by rpmautospec
